de.esprit.netsuite.client.abo.std

## Class SimpleTrackABO

- java.lang.Object
- - de.esprit.common.util.DumpableObject
  - - de.esprit.common.util.TransferableObject
    - - de.esprit.netsuite.netdata.AbstractCrossPlatformObject<C,S>
      - - de.esprit.netsuite.server.core.AccessibleServerObject<C,S>
        - - de.esprit.netsuite.server.abo.AbstractABO<C,S,I>
          - - de.esprit.netsuite.server.abo.AbstractSingletonABO<ClientContext,ServerContext,SimpleTrackABO>
            - - de.esprit.netsuite.client.abo.std.SimpleTrackABO

- All Implemented Interfaces:
    Renderable, SimpleLogSupport, DeepCloneable, Dumpable, ClientObject<ClientContext>, CrossPlatformObject<ClientContext,ServerContext>, LastAccessed, AliveBusinessObject<ClientContext,ServerContext,SimpleTrackABO>, RemoteLockable, PermissionControlled, ServerObject<ServerContext>, java.io.Serializable, java.lang.Cloneable, java.lang.Comparable

      public class SimpleTrackABO
      extends AbstractSingletonABO<ClientContext,ServerContext,SimpleTrackABO>

  This is a sample `AbstractSingletonABO` for positioning a point within a rectangular area. When one client changes the position all other clients accessing this ABO will by notified.
  Author:
    Rainer Buesch
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SimpleTrackABO(ClientContext clientCtx)`
    `SimpleTrackABO(ServerContext serverCtx)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `SimpleTrackABO` | `fetch(boolean withLock)`
    `java.awt.Point` | `getPosition()`
    `java.awt.Dimension` | `getSize()`
    `boolean` | `isCacheResident()` Overridden to make this SingletonABO NON-cache resident just for demo
    `protected void` | `overtakeABOValues(SimpleTrackABO newABO)` Must be implemented by subclasses to copy their instance values
    `void` | `setPosition(java.awt.Point point)`
    `void` | `setSize(java.awt.Dimension dim)`
    `ToString` | `toString(ToString s)` This method allows subclasses to add values to the existing ToString of the superclass.

    - ### Methods inherited from class de.esprit.netsuite.server.abo.AbstractSingletonABO

      `createEditDialog, createPrimaryKey, getRenderIcon, instantiateOnServer`

    - ### Methods inherited from class de.esprit.netsuite.server.abo.AbstractABO

      `addChangeListener, clone, compareTo, copyABOValues, create, createChangeGate, createOnServer, createPermissionDefinition, deepClone, delete, deleteOnServer, drop, dropOnServer, equals, fetch, findCachedABOs, fireABOInitialized, getPermissionDefinition, getPrimaryKey, getRenderColor, getRenderText, getResourceName, getResourceType, getUpdateCount, hashCode, isbeingAccessed, isLockedByMe, isNumb, isOnline, isVisibleInClientMonitor, receivedUpdateEvent, refetch, removeChangeListener, setLocked, setNumb, toDumpString, update, update, updateOnServer`

    - ### Methods inherited from class de.esprit.netsuite.server.core.AccessibleServerObject

      `getLastAccessedTs, getLastAccessorId, setLastAccessorId`

    - ### Methods inherited from class de.esprit.netsuite.netdata.AbstractCrossPlatformObject

      `checkOnClient, checkOnServer, getClientContext, getLogChannel, getServerContext, isLogDebug, isLogVerbose, isOnClient, isOnServer, logDebug, logDump, logError, logError, logFatal, logInfo, logVerbose, logWarning, setClientContext, setLogChannel, setServerContext`

    - ### Methods inherited from class de.esprit.common.util.DumpableObject

      `configureDumpHeadlineLength, configureDumpMaxElementsPrinted, copyDumpStringValues, copyToStringValues, createDumpHeader, toDumpString, toString`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface de.esprit.netsuite.netdata.CrossPlatformObject

      `isOnClient, isOnServer, setClientContext, setServerContext`

    - ### Methods inherited from interface de.esprit.netsuite.client.ClientObject

      `getClientContext`

    - ### Methods inherited from interface de.esprit.netsuite.server.ServerObject

      `getServerContext`

    - ### Methods inherited from interface de.esprit.common.type.Dumpable

      `toDumpString, toString`

    - ### Methods inherited from interface de.esprit.netsuite.netdata.LastAccessed

      `getLastAccessedTs, getLastAccessorId, setLastAccessorId`

- - ### Constructor Detail

    - #### SimpleTrackABO

          public SimpleTrackABO(ServerContext serverCtx)

    - #### SimpleTrackABO

          public SimpleTrackABO(ClientContext clientCtx)

  - ### Method Detail

    - #### getSize

          public java.awt.Dimension getSize()

    - #### setSize

          public void setSize(java.awt.Dimension dim)

    - #### getPosition

          public java.awt.Point getPosition()

    - #### setPosition

          public void setPosition(java.awt.Point point)

    - #### overtakeABOValues

          protected void overtakeABOValues(SimpleTrackABO newABO)

      Description copied from class: `AbstractABO`
      Must be implemented by subclasses to copy their instance values
      Specified by:
        `overtakeABOValues` in class `AbstractABO<ClientContext,ServerContext,SimpleTrackABO>`

    - #### isCacheResident

          public boolean isCacheResident()

      Overridden to make this SingletonABO NON-cache resident just for demo
      Specified by:
        `isCacheResident` in interface `AliveBusinessObject<ClientContext,ServerContext,SimpleTrackABO>`
      Overrides:
        `isCacheResident` in class `AbstractSingletonABO<ClientContext,ServerContext,SimpleTrackABO>`

    - #### fetch

          public SimpleTrackABO fetch(boolean withLock)
                               throws java.lang.Exception

      Overrides:
        `fetch` in class `AbstractSingletonABO<ClientContext,ServerContext,SimpleTrackABO>`
      Throws:
        `java.lang.Exception`

    - #### toString

          public ToString toString(ToString s)

      Description copied from interface: `Dumpable`
      This method allows subclasses to add values to the existing ToString of the superclass. Usually subclasses only need to override this method.
      Specified by:
        `toString` in interface `Dumpable`
      Overrides:
        `toString` in class `AbstractABO<ClientContext,ServerContext,SimpleTrackABO>`

Copyright © 2014 EsprIT-Systems. All Rights Reserved.